#!/bin/sh

cd `dirname $0`
# rm -rf buildandroid
mkdir -p buildandroid

# Make sure you have ndk-build and Android Sdk stuff in your $PATH!

ndk-build \
	NDK_PROJECT_PATH=null \
	APP_BUILD_SCRIPT=Android.mk \
	APP_ABI="armeabi-v7a arm64-v8a x86 x86_64" \
	APP_PLATFORM=android-16 \
	APP_MODULES="SDL2 FAudio_static FAudioGMS" \
	NDK_OUT=buildandroid/obj \
	NDK_LIBS_OUT=buildandroid/lib


# Update gamemaker project folder..

cp -rf buildandroid/lib/* ../gamemaker/extensions/FAudioGMS/AndroidSource/libs
rm -rf buildandroid

# we're done here.
